//
// Created by rhetenor on 13.09.18.
//

#include "PrintHandler.h"
#include <iostream>

PrintHandler::PrintHandler(std::shared_ptr<flippR_driver::input::InputDriver> driver) :
flippR_driver::input::EventHandler(driver)
  {

  }


void PrintHandler::handle(flippR_driver::input::Event &event)
{
  std::cout << "Event " << event.name << " (" << std::to_string(event.address) << ") occured!\n";
}